commit:     bcf440932c8ee9ebdfe5d3c024789efc6705277c
Author:     Jan Segre <jan <AT> segre <DOT> in>
AuthorDate: Fri Aug 11 21:11:35 2017 +0000
Commit:     Michał Górny <mgorny <AT> gentoo <DOT> org>
CommitDate: Fri Aug 11 22:12:23 2017 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=bcf44093

games-simulation/openrct2: version bump to 0.1.1

Package-Manager: Portage-2.3.6, Repoman-2.3.1

 games-simulation/openrct2/Manifest              |  1 +
 games-simulation/openrct2/openrct2-0.1.1.ebuild | 96 +++++++++++++++++++++++++
 2 files changed, 97 insertions(+)

diff --git a/games-simulation/openrct2/Manifest 
b/games-simulation/openrct2/Manifest
index 545dbe32f6b..267f4e9c3e9 100644
--- a/games-simulation/openrct2/Manifest
+++ b/games-simulation/openrct2/Manifest
@@ -1,2 +1,3 @@
 DIST openrct2-0.1.0.tar.gz 6253207 SHA256 
0347a47d380fc18ea543928c92a13d1bdb4431573154afeb80fa33f1149e6992 SHA512 
102902f47948e2dc648a48897eddbb53bbd451fd6e9a66f397c6f026012131c11e3c5a5aa208b9d719a0e75aa244c9a3967ae3b98c33ba695fd622cb1bd18f12
 WHIRLPOOL 
18d1fc763606b9fb85fae9ba056ef3b8ae9be68903fbd137e045f594e273c954777c2ea2f2ede65e3695d43e4c4a714df9f77afaf07b5a6555a314e616188a3d
+DIST openrct2-0.1.1.tar.gz 6284135 SHA256 
5d7a6c7f3c770e7de506958f86789c438c543c27d312fd096322cde4e89f50ad SHA512 
fd84907819ac317af88c0446afcb04acdb43cd6671f0837f1294191aacf58e93887d46e6eb28d86f558577f4e7c834bc42a9ec486f67e0b64cb7bc0cc1bda427
 WHIRLPOOL 
9e673852d653fe8e1839db96d124b1cc1e7e4f7a594ec05c1a895c883da234e536851025c75e0fcacb3be776cb3dd1dea9ad7ac028cfda6434095146ba68c5e7
 DIST openrct2-title-sequence-v0.1.0.zip 1766393 SHA256 
1df6ad253896bd09b728616f7bf12f4b797ef9db2b9bab8465b08662f47f4bef SHA512 
0d1b47c5fc5d1d9e5580b30d0f43d5532b388f1a5685060ca9313ec2f76c61a5fc96b8aa37689072b71edd9fb1aedddd46fa38c237ccb7198841d7bc33bf2a2b
 WHIRLPOOL 
f78612445dda2c55aa224e4df0ece92a5f762049ca1b6bcf4e00f72f6aaf900fb944a6a1dd358900b1968a63b301af8bf4b1ca0a645c43c0ca2221279efabd9a

diff --git a/games-simulation/openrct2/openrct2-0.1.1.ebuild 
b/games-simulation/openrct2/openrct2-0.1.1.ebuild
new file mode 100644
index 00000000000..c93e3088f8a
--- /dev/null
+++ b/games-simulation/openrct2/openrct2-0.1.1.ebuild
@@ -0,0 +1,96 @@
+# Copyright 1999-2017 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=6
+
+inherit cmake-utils gnome2-utils
+
+DESCRIPTION="An open source re-implementation of RollerCoaster Tycoon 2"
+HOMEPAGE="https://openrct2.website/";
+if [[ ${PV} == 9999 ]]; then
+       EGIT_REPO_URI="https://github.com/OpenRCT2/OpenRCT2.git";
+       EGIT_BRANCH="develop"
+       inherit git-r3
+       SRC_URI=""
+else
+       KEYWORDS="~amd64 ~x86"
+       SRC_URI="https://github.com/OpenRCT2/OpenRCT2/archive/v${PV}.tar.gz -> 
${P}.tar.gz"
+       S="${WORKDIR}/OpenRCT2-${PV}"
+fi
+
+TSV="0.1.0"
+SRC_URI+=" 
https://github.com/OpenRCT2/title-sequences/releases/download/v${TSV}/title-sequence-v${TSV}.zip
 -> ${PN}-title-sequence-v${TSV}.zip "
+
+LICENSE="GPL-3"
+SLOT="0"
+IUSE="libressl +multiplayer opengl test truetype +twitch"
+
+# This is needed because of this bug: 
https://github.com/OpenRCT2/OpenRCT2/issues/5469
+REQUIRED_USE="multiplayer? ( twitch )"
+
+RDEPEND="
+       >=dev-libs/jansson-2.5
+       >=dev-libs/libzip-1.0
+       media-libs/libpng:0=
+       media-libs/libsdl2
+       || (
+               media-libs/speexdsp
+               <media-libs/speex-1.2.0
+       )
+       multiplayer? (
+               libressl? ( dev-libs/libressl:0= )
+               !libressl? ( dev-libs/openssl:0= )
+       )
+       opengl? ( virtual/opengl )
+       truetype? (
+               media-libs/sdl2-ttf
+               media-libs/fontconfig
+       )
+       twitch? ( net-misc/curl[ssl] )
+"
+DEPEND="${RDEPEND}
+       test? ( dev-cpp/gtest )
+"
+
+if [[ ${PV} == 9999 ]]; then
+src_unpack() {
+       default
+       git-r3_src_unpack
+}
+fi
+
+src_configure() {
+       local mycmakeargs=(
+               -DDISABLE_HTTP_TWITCH="$(usex !twitch)"
+               -DDISABLE_NETWORK="$(usex !multiplayer)"
+               -DDISABLE_OPENGL="$(usex !opengl)"
+               -DDISABLE_TTF="$(usex !truetype)"
+               -DWITH_TESTS="$(usex test)"
+               -DDOWNLOAD_TITLE_SEQUENCES=OFF
+               -DDISABLE_RCT2_TESTS=ON
+               -DSYSTEM_GTEST=ON
+       )
+
+       cmake-utils_src_configure
+}
+
+src_install() {
+       cmake-utils_src_install
+
+       insinto /usr/share/openrct2/title
+       doins "${WORKDIR}"/*.parkseq
+}
+
+pkg_postinst() {
+       if [[ -z ${REPLACING_VERSIONS} ]]; then
+               ewarn ""
+               ewarn "You need the original RollerCoaster Tycoon 2 files to 
play this game."
+               ewarn "See: 
https://github.com/OpenRCT2/OpenRCT2/wiki/Required-RCT2-files#how-to-retrieve";
+               ewarn ""
+       fi
+       gnome2_icon_cache_update
+}
+
+pkg_postrm() {
+       gnome2_icon_cache_update
+}

Reply via email to